DNAStyle (BioJava-1.5-beta API)
Keywords: org.biojava.bio.gui.DNAStyle class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.gui
Class DNAStyle

    java.lang.Object
      org.biojava.bio.gui.DNAStyle

All Implemented Interfaces:
  SymbolStyle

    public class DNAStyle

extends Object
implements SymbolStyle

A simple implementation of SymbolStyle optimized for DNA.

Author:
  Matthew Pocock

Constructor Summary
`DNAStyle()`

Method Summary
`Paint` | `fillPaint(Symbol s)` Return the fill paint for a symbol.
`Paint` | `outlinePaint(Symbol s)` Return the outline paint for a symbol.
`void` | `setFillPaint(Symbol s, Paint paint)`
`void` | `setOutlinePaint(Symbol s, Paint paint)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DNAStyle

    public DNAStyle()

Method Detail

### outlinePaint

    public Paint outlinePaint(Symbol s)
                       throws IllegalSymbolException

  Description copied from interface: `SymbolStyle`
  Return the outline paint for a symbol.

  Specified by:
    `outlinePaint` in interface `SymbolStyle`
  Parameters:
    `s` - the symbol to outline
  Returns:
    the Paint to use
  Throws:
    `IllegalSymbolException` - if this SymbolStyle can not handle the symbol

### fillPaint

    public Paint fillPaint(Symbol s)
                    throws IllegalSymbolException

  Description copied from interface: `SymbolStyle`
  Return the fill paint for a symbol.

  Specified by:
    `fillPaint` in interface `SymbolStyle`
  Parameters:
    `s` - the symbol to fill
  Returns:
    the Paint to use
  Throws:
    `IllegalSymbolException` - if this SymbolStyle can not handle the symbol

### setOutlinePaint

    public void setOutlinePaint(Symbol s,
                                Paint paint)
                         throws IllegalSymbolException

  Throws:
    `IllegalSymbolException`

### setFillPaint

    public void setFillPaint(Symbol s,
                             Paint paint)
                      throws IllegalSymbolException

  Throws:
    `IllegalSymbolException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD